package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

// 定义一个名为CdContractExample的类，继承自BaseMybatisExample
public class CdContractExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public CdContractExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个内部类GeneratedCriteria，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否为空
        public Criteria andContractCodeIsNull() {
            addCriterion("CONTRACT_CODE is null");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否不为空
        public Criteria andContractCodeIsNotNull() {
            addCriterion("CONTRACT_CODE is not null");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否等于某个值
        public Criteria andContractCodeEqualTo(String value) {
            addCriterion("CONTRACT_CODE =", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否不等于某个值
        public Criteria andContractCodeNotEqualTo(String value) {
            addCriterion("CONTRACT_CODE <>", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否大于某个值
        public Criteria andContractCodeGreaterThan(String value) {
            addCriterion("CONTRACT_CODE >", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否大于等于某个值
        public Criteria andContractCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CONTRACT_CODE >=", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否小于某个值
        public Criteria andContractCodeLessThan(String value) {
            addCriterion("CONTRACT_CODE <", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否小于等于某个值
        public Criteria andContractCodeLessThanOrEqualTo(String value) {
            addCriterion("CONTRACT_CODE <=", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否包含某个值
        public Criteria andContractCodeLike(String value) {
            addCriterion("CONTRACT_CODE like", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否不包含某个值
        public Criteria andContractCodeNotLike(String value) {
            addCriterion("CONTRACT_CODE not like", value, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否在某个范围内
        public Criteria andContractCodeIn(List<String> values) {
            addCriterion("CONTRACT_CODE in", values, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否不在某个范围内
        public Criteria andContractCodeNotIn(List<String> values) {
            addCriterion("CONTRACT_CODE not in", values, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否在某个范围内
        public Criteria andContractCodeBetween(String value1, String value2) {
            addCriterion("CONTRACT_CODE between", value1, value2, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_CODE是否不在某个范围内
        public Criteria andContractCodeNotBetween(String value1, String value2) {
            addCriterion("CONTRACT_CODE not between", value1, value2, "contractCode");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否为空
        public Criteria andContractNameIsNull() {
            addCriterion("CONTRACT_NAME is null");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否不为空
        public Criteria andContractNameIsNotNull() {
            addCriterion("CONTRACT_NAME is not null");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否等于某个值
        public Criteria andContractNameEqualTo(String value) {
            addCriterion("CONTRACT_NAME =", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否不等于某个值
        public Criteria andContractNameNotEqualTo(String value) {
            addCriterion("CONTRACT_NAME <>", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否大于某个值
        public Criteria andContractNameGreaterThan(String value) {
            addCriterion("CONTRACT_NAME >", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否大于等于某个值
        public Criteria andContractNameGreaterThanOrEqualTo(String value) {
            addCriterion("CONTRACT_NAME >=", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否小于某个值
        public Criteria andContractNameLessThan(String value) {
            addCriterion("CONTRACT_NAME <", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否小于等于某个值
        public Criteria andContractNameLessThanOrEqualTo(String value) {
            addCriterion("CONTRACT_NAME <=", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否包含某个值
        public Criteria andContractNameLike(String value) {
            addCriterion("CONTRACT_NAME like", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否不包含某个值
        public Criteria andContractNameNotLike(String value) {
            addCriterion("CONTRACT_NAME not like", value, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否在某个范围内
        public Criteria andContractNameIn(List<String> values) {
            addCriterion("CONTRACT_NAME in", values, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否不在某个范围内
        public Criteria andContractNameNotIn(List<String> values) {
            addCriterion("CONTRACT_NAME not in", values, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否在某个范围内
        public Criteria andContractNameBetween(String value1, String value2) {
            addCriterion("CONTRACT_NAME between", value1, value2, "contractName");
            return (Criteria) this;
        }

        // 判断CONTRACT_NAME是否不在某个范围内
        public Criteria andContractNameNotBetween(String value1, String value2) {
            addCriterion("CONTRACT_NAME not between", value1, value2, "contractName");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否为空
        public Criteria andCdMemberIdIsNull() {
            addCriterion("CD_MEMBER_ID is null");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否不为空
        public Criteria andCdMemberIdIsNotNull() {
            addCriterion("CD_MEMBER_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否等于某个值
        public Criteria andCdMemberIdEqualTo(Integer value) {
            addCriterion("CD_MEMBER_ID =", value, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否不等于某个值
        public Criteria andCdMemberIdNotEqualTo(Integer value) {
            addCriterion("CD_MEMBER_ID <>", value, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否大于某个值
        public Criteria andCdMemberIdGreaterThan(Integer value) {
            addCriterion("CD_MEMBER_ID >", value, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否大于等于某个值
        public Criteria andCdMemberIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_MEMBER_ID >=", value, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否小于某个值
        public Criteria andCdMemberIdLessThan(Integer value) {
            addCriterion("CD_MEMBER_ID <", value, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否小于等于某个值
        public Criteria andCdMemberIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_MEMBER_ID <=", value, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否在某个范围内
        public Criteria andCdMemberIdIn(List<Integer> values) {
            addCriterion("CD_MEMBER_ID in", values, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否不在某个范围内
        public Criteria andCdMemberIdNotIn(List<Integer> values) {
            addCriterion("CD_MEMBER_ID not in", values, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否在某个范围内
        public Criteria andCdMemberIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_MEMBER_ID between", value1, value2, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_MEMBER_ID是否不在某个范围内
        public Criteria andCdMemberIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_MEMBER_ID not between", value1, value2, "cdMemberId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否为空
        public Criteria andCdCompanyIdIsNull() {
            addCriterion("CD_COMPANY_ID is null");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不为空
        public Criteria andCdCompanyIdIsNotNull() {
            addCriterion("CD_COMPANY_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否等于某个值
        public Criteria andCdCompanyIdEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID =", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不等于某个值
        public Criteria andCdCompanyIdNotEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID <>", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否大于某个值
        public Criteria andCdCompanyIdGreaterThan(Integer value) {
            addCriterion("CD_COMPANY_ID >", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否大于等于某个值
        public Criteria andCdCompanyIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID >=", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否小于某个值
        public Criteria andCdCompanyIdLessThan(Integer value) {
            addCriterion("CD_COMPANY_ID <", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否小于等于某个值
        public Criteria andCdCompanyIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID <=", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否在某个范围内
        public Criteria andCdCompanyIdIn(List<Integer> values) {
            addCriterion("CD_COMPANY_ID in", values, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不在某个范围内
        public Criteria andCdCompanyIdNotIn(List<Integer> values) {
            addCriterion("CD_COMPANY_ID not in", values, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否在某个范围内
        public Criteria andCdCompanyIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_COMPANY_ID between", value1, value2, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不在某个范围内
        public Criteria andCdCompanyIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_COMPANY_ID not between", value1, value2, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断SCOPE是否为空
        public Criteria andScopeIsNull() {
            addCriterion("SCOPE is null");
            return (Criteria) this;
        }

        // 判断SCOPE是否不为空
        public Criteria andScopeIsNotNull() {
            addCriterion("SCOPE is not null");
            return (Criteria) this;
        }

        // 判断SCOPE是否等于某个值
        public Criteria andScopeEqualTo(Integer value) {
            addCriterion("SCOPE =", value, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否不等于某个值
        public Criteria andScopeNotEqualTo(Integer value) {
            addCriterion("SCOPE <>", value, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否大于某个值
        public Criteria andScopeGreaterThan(Integer value) {
            addCriterion("SCOPE >", value, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否大于等于某个值
        public Criteria andScopeGreaterThanOrEqualTo(Integer value) {
            addCriterion("SCOPE >=", value, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否小于某个值
        public Criteria andScopeLessThan(Integer value) {
            addCriterion("SCOPE <", value, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否小于等于某个值
        public Criteria andScopeLessThanOrEqualTo(Integer value) {
            addCriterion("SCOPE <=", value, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否在某个范围内
        public Criteria andScopeIn(List<Integer> values) {
            addCriterion("SCOPE in", values, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否不在某个范围内
        public Criteria andScopeNotIn(List<Integer> values) {
            addCriterion("SCOPE not in", values, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否在某个范围内
        public Criteria andScopeBetween(Integer value1, Integer value2) {
            addCriterion("SCOPE between", value1, value2, "scope");
            return (Criteria) this;
        }

        // 判断SCOPE是否不在某个范围内
        public Criteria andScopeNotBetween(Integer value1, Integer value2) {
            addCriterion("SCOPE not between", value1, value2, "scope");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否为空
        public Criteria andContractPriceIsNull() {
            addCriterion("CONTRACT_PRICE is null");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否不为空
        public Criteria andContractPriceIsNotNull() {
            addCriterion("CONTRACT_PRICE is not null");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否等于某个值
        public Criteria andContractPriceEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_PRICE =", value, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否不等于某个值
        public Criteria andContractPriceNotEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_PRICE <>", value, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否大于某个值
        public Criteria andContractPriceGreaterThan(BigDecimal value) {
            addCriterion("CONTRACT_PRICE >", value, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否大于等于某个值
        public Criteria andContractPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_PRICE >=", value, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否小于某个值
        public Criteria andContractPriceLessThan(BigDecimal value) {
            addCriterion("CONTRACT_PRICE <", value, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否小于等于某个值
        public Criteria andContractPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_PRICE <=", value, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否在某个范围内
        public Criteria andContractPriceIn(List<BigDecimal> values) {
            addCriterion("CONTRACT_PRICE in", values, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否不在某个范围内
        public Criteria andContractPriceNotIn(List<BigDecimal> values) {
            addCriterion("CONTRACT_PRICE not in", values, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否在某个范围内
        public Criteria andContractPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CONTRACT_PRICE between", value1, value2, "contractPrice");
            return (Criteria) this;
        }

        // 判断CONTRACT_PRICE是否不在某个范围内
        public Criteria andContractPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CONTRACT_PRICE not between", value1, value2, "contractPrice");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否为空
        public Criteria andBeginTimeIsNull() {
            addCriterion("BEGIN_TIME is null");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否不为空
        public Criteria andBeginTimeIsNotNull() {
            addCriterion("BEGIN_TIME is not null");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否等于某个值
        public Criteria andBeginTimeEqualTo(Date value) {
            addCriterion("BEGIN_TIME =", value, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否不等于某个值
        public Criteria andBeginTimeNotEqualTo(Date value) {
            addCriterion("BEGIN_TIME <>", value, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否大于某个值
        public Criteria andBeginTimeGreaterThan(Date value) {
            addCriterion("BEGIN_TIME >", value, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否大于等于某个值
        public Criteria andBeginTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("BEGIN_TIME >=", value, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否小于某个值
        public Criteria andBeginTimeLessThan(Date value) {
            addCriterion("BEGIN_TIME <", value, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否小于等于某个值
        public Criteria andBeginTimeLessThanOrEqualTo(Date value) {
            addCriterion("BEGIN_TIME <=", value, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否在某个范围内
        public Criteria andBeginTimeIn(List<Date> values) {
            addCriterion("BEGIN_TIME in", values, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否不在某个范围内
        public Criteria andBeginTimeNotIn(List<Date> values) {
            addCriterion("BEGIN_TIME not in", values, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否在某个范围内
        public Criteria andBeginTimeBetween(Date value1, Date value2) {
            addCriterion("BEGIN_TIME between", value1, value2, "beginTime");
            return (Criteria) this;
        }

        // 判断BEGIN_TIME是否不在某个范围内
        public Criteria andBeginTimeNotBetween(Date value1, Date value2) {
            addCriterion("BEGIN_TIME not between", value1, value2, "beginTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否为空
        public Criteria andEndTimeIsNull() {
            addCriterion("END_TIME is null");
            return (Criteria) this;
        }

        // 判断END_TIME是否不为空
        public Criteria andEndTimeIsNotNull() {
            addCriterion("END_TIME is not null");
            return (Criteria) this;
        }

        // 判断END_TIME是否等于某个值
        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("END_TIME =", value, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否不等于某个值
        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("END_TIME <>", value, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否大于某个值
        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("END_TIME >", value, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否大于等于某个值
        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("END_TIME >=", value, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否小于某个值
        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("END_TIME <", value, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否小于等于某个值
        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("END_TIME <=", value, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否在某个范围内
        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("END_TIME in", values, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否不在某个范围内
        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("END_TIME not in", values, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否在某个范围内
        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("END_TIME between", value1, value2, "endTime");
            return (Criteria) this;
        }

        // 判断END_TIME是否不在某个范围内
        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("END_TIME not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        // 判断IS_DEL是否为空
        public Criteria andIsDelIsNull() {
            addCriterion("IS_DEL is null");
            return (Criteria) this;
        }

        // 判断IS_DEL是否不为空
        public Criteria andIsDelIsNotNull() {
            addCriterion("IS_DEL is not null");
            return (Criteria) this;
        }

        // 判断IS_DEL是否等于某个值
        public Criteria andIsDelEqualTo(Integer value) {
            addCriterion("IS_DEL =", value, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否不等于某个值
        public Criteria andIsDelNotEqualTo(Integer value) {
            addCriterion("IS_DEL <>", value, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否大于某个值
        public Criteria andIsDelGreaterThan(Integer value) {
            addCriterion("IS_DEL >", value, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否大于等于某个值
        public Criteria andIsDelGreaterThanOrEqualTo(Integer value) {
            addCriterion("IS_DEL >=", value, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否小于某个值
        public Criteria andIsDelLessThan(Integer value) {
            addCriterion("IS_DEL <", value, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否小于等于某个值
        public Criteria andIsDelLessThanOrEqualTo(Integer value) {
            addCriterion("IS_DEL <=", value, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否在某个范围内
        public Criteria andIsDelIn(List<Integer> values) {
            addCriterion("IS_DEL in", values, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否不在某个范围内
        public Criteria andIsDelNotIn(List<Integer> values) {
            addCriterion("IS_DEL not in", values, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否在某个范围内
        public Criteria andIsDelBetween(Integer value1, Integer value2) {
            addCriterion("IS_DEL between", value1, value2, "isDel");
            return (Criteria) this;
        }

        // 判断IS_DEL是否不在某个范围内
        public Criteria andIsDelNotBetween(Integer value1, Integer value2) {
            addCriterion("IS_DEL not between", value1, value2, "isDel");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否为空
        public Criteria andIsAuditorIsNull() {
            addCriterion("IS_AUDITOR is null");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否不为空
        public Criteria andIsAuditorIsNotNull() {
            addCriterion("IS_AUDITOR is not null");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否等于某个值
        public Criteria andIsAuditorEqualTo(Integer value) {
            addCriterion("IS_AUDITOR =", value, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否不等于某个值
        public Criteria andIsAuditorNotEqualTo(Integer value) {
            addCriterion("IS_AUDITOR <>", value, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否大于某个值
        public Criteria andIsAuditorGreaterThan(Integer value) {
            addCriterion("IS_AUDITOR >", value, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否大于等于某个值
        public Criteria andIsAuditorGreaterThanOrEqualTo(Integer value) {
            addCriterion("IS_AUDITOR >=", value, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否小于某个值
        public Criteria andIsAuditorLessThan(Integer value) {
            addCriterion("IS_AUDITOR <", value, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否小于等于某个值
        public Criteria andIsAuditorLessThanOrEqualTo(Integer value) {
            addCriterion("IS_AUDITOR <=", value, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否在某个范围内
        public Criteria andIsAuditorIn(List<Integer> values) {
            addCriterion("IS_AUDITOR in", values, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否不在某个范围内
        public Criteria andIsAuditorNotIn(List<Integer> values) {
            addCriterion("IS_AUDITOR not in", values, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否在某个范围内
        public Criteria andIsAuditorBetween(Integer value1, Integer value2) {
            addCriterion("IS_AUDITOR between", value1, value2, "isAuditor");
            return (Criteria) this;
        }

        // 判断IS_AUDITOR是否不在某个范围内
        public Criteria andIsAuditorNotBetween(Integer value1, Integer value2) {
            addCriterion("IS_AUDITOR not between", value1, value2, "isAuditor");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}